D-Bus: DBusMemPool Struct Reference

D-Bus 1.14.10

Data Fields
DBusMemPool Struct Reference
D-Bus secret internal implementation details » Memory pool implementation details

Internals fields of DBusMemPool. More...

## Data Fields
int | element_size
| size of a single object in the pool
int | block_size
| size of most recently allocated block
unsigned int | zero_elements: 1
| whether to zero-init allocated elements
DBusFreedElement * | free_elements
| a free list of elements to recycle
DBusMemBlock * | blocks
| blocks of memory from malloc()
int | allocated_elements
| Count of outstanding allocated elements.

## Detailed Description

Internals fields of DBusMemPool.

Definition at line 100 of file dbus-mempool.c.

## Field Documentation

## ◆ allocated_elements

int DBusMemPool::allocated_elements

Count of outstanding allocated elements.

Definition at line 108 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), _dbus_mem_pool_dealloc(), and _dbus_mem_pool_new().

## ◆ block_size

int DBusMemPool::block_size

size of most recently allocated block

Definition at line 103 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), and _dbus_mem_pool_new().

## ◆ blocks

DBusMemBlock* DBusMemPool::blocks

blocks of memory from malloc()

Definition at line 107 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), _dbus_mem_pool_dealloc(), and _dbus_mem_pool_free().

## ◆ element_size

int DBusMemPool::element_size

size of a single object in the pool

Definition at line 102 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), and _dbus_mem_pool_new().

## ◆ free_elements

DBusFreedElement* DBusMemPool::free_elements

a free list of elements to recycle

Definition at line 106 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), and _dbus_mem_pool_dealloc().

## ◆ zero_elements

unsigned int DBusMemPool::zero_elements

whether to zero-init allocated elements

Definition at line 104 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), and _dbus_mem_pool_new().

The documentation for this struct was generated from the following file:

- dbus-mempool.c